> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns details of the Network - must match the Network owning the requesting API key



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json get /admin/v1/networks/{network_id}/
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/:
    get:
      tags:
        - Networks
      summary: >-
        Returns details of the Network - must match the Network owning the
        requesting API key
      operationId: show_network
      parameters:
        - $ref: '#/components/parameters/networkId'
      responses:
        '200':
          description: Returns the Networks attributes
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    NetworkResponse:
      description: >-
        Networks are the main organizational unit within Mighty, and house all
        other objects
      type: object
      required:
        - created_at
        - description
        - id
        - purpose
        - subdomain
        - subtitle
        - title
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:11+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:11+00:00'
        subdomain:
          type: string
          description: The network subdomain
          example: paint-pals
        title:
          type: string
          description: The network title
          example: The Paint Pals Network
        subtitle:
          type: string
          description: The network subtitle
          example: A network for artists to share and collaborate
        purpose:
          type: string
          description: The network purpose
          example: >-
            Bring together artists interested in sharing their work and
            inspiring others
        description:
          type: string
          description: The network description
          example: A great network
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````